Account and agency
Delete agency
Permanently delete the selected agency and revoke its agent connections. Requires agency-deletion permission and confirmationName matching its exact current name from get_agency_profile. Returns the deleted agency ID and deleted status.
DELETE
/v1/agencies/{agencyId}Permanently delete the selected agency and revoke its agent connections. Requires agency-deletion permission and confirmationName matching its exact current name from get_agency_profile. Returns the deleted agency ID and deleted status.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/agencies/string" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "confirmationName": "string" }'{ "data": { "id": "string", "deleted": true }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}